package net.halbear.Terrain4J.EngineCore.Vulkan.Rendering.VkModel;

import net.halbear.Terrain4J.EngineCore.Logic.Rendering.VulkanContext;
import net.halbear.Terrain4J.EngineCore.Vulkan.Util.VulkanBuffer;

public record VulkanMesh(String ID, VulkanBuffer VerticesBuffer,VulkanBuffer IndicesBuffer,int IndicesCount, String MaterialID) {
    public void Cleanup(VulkanContext VkCtx){
        VerticesBuffer.cleanup(VkCtx);
        IndicesBuffer.cleanup(VkCtx);
    }

}
